(define (base-behaviour)
  (ifaces (when selected (update-interface (current-interface))))

  ;; Commit button
  (c-button (when clicked
              (begin
                (commit-changes #t)
                ;; load information about host
                (update-net-junior)
                ;; if global configuration isn't auto ask information about first interface
                (and (conf_type_is_manual) (positive? (ifaces count))
                     (begin
                       (update-interface (current-interface)))))))

  ;; Reset button
  (r-button (when clicked
              (begin
                ;; Load information about host
                (update-net-junior)
                ;; If global configuration isn't auto ask information about first interface
                (and (conf_type_is_manual)
                     (positive? (ifaces count))
                     (begin
                       (ifaces current 0)
                       (update-interface (current-interface)))))))

  ;; Quit button
  (q-button (when clicked (document:end))))
